View Issue Details

IDProjectCategoryView StatusLast Update
0003445OpenFOAMBugpublic2020-02-24 09:16
Reporterstardust23Assigned Towill 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSDebianOS Version10
Product Version7 
Fixed in Versiondev 
Summary0003445: CyclicAMI not working with small prism cells to reproduce boundary layer on the patch
DescriptionI’m trying to run the steady-state case of a pump impeller with SRFSimpleFoam. To reduce the computational cost, I’d like to simulate only one blade with cyclicAMI patches on the periodicity boundaries.
Unfortunately the simulation crashes due to these cyclic interfaces. I tried to modify the mesh and it seems that the problem is related to the thin prismatic cells used for hub and tip BLs on the AMI patches (removing these cells the simulation starts normally).
I’m sharing the complete case that is not working hoping that someone could help finding a way to solve the problem: https://drive.google.com/drive/folders/1DMW2SrAIoC1w6hMbSNjX2EwBhS29Tp_B?usp=sharing
The archive contains all the files needed to run the case (mesh, initialization, etc.)

Steps To ReproduceUnzip the archive and run SRFSimpleFoam in the extracted folder.
TagsNo tags attached.

Activities

will

2020-02-18 11:27

manager   ~0011197

In version 7 and earlier OpenFOAM has no ability to calculate transformations non non-planar cyclic patches such as these. You will need to specify the rotation angles on both sides as well as the axis and centre.

OpenFOAM-dev can now automatically calculate cyclic transformations on patches such as these as a result of the following commit.

https://github.com/OpenFOAM/OpenFOAM-dev/commit/7010a8ec24fc64214a5b6c641266e09618f4fd32

Note that for AMI-type patches you will need to specify "transform unspecified;" for it to calculate the transformation, otherwise it will assume that there is no transformation.

Note even with the transformation fully specified the geometric match is poor and the AMI weights are very
 far from unity. That is a problem with your meshing strategy.

Issue History

Date Modified Username Field Change
2020-02-07 09:18 stardust23 New Issue
2020-02-18 11:27 will Assigned To => will
2020-02-18 11:27 will Status new => resolved
2020-02-18 11:27 will Resolution open => fixed
2020-02-18 11:27 will Fixed in Version => dev
2020-02-18 11:27 will Note Added: 0011197